<div class="main-container">
  <h4 class="reviews-title">Оставьте свой отзыв о нашей работе!</h4>
  <form [formGroup]="form" (ngSubmit)="sendForm()" class="reviews-form">
    <div class="form-control">
      <input formControlName="name" class="form-input" placeholder="Имя" id="name" type="text">
    </div>
    <div
      *ngIf="form.controls['name'].invalid  && (form.controls['name'].dirty || form.controls['name'].touched)"
      class="alert">
      <div *ngIf="form.controls['name'].errors?.['required']">
        Укажите Ваше имя
      </div>
    </div>
    <div class="form-control">
      <input formControlName="email" class="form-input" placeholder="Email" id="email" type="text">
    </div>
    <div
      *ngIf="form.controls['email'].invalid  && (form.controls['email'].dirty || form.controls['email'].touched)"
      class="alert">
      <div *ngIf="form.controls['email'].errors?.['required']">
        Укажите электронную почту
      </div>
      <div *ngIf="form.controls['email'].errors?.['email']">
        Укажите корректный адрес электронный почты
      </div>
    </div>
    <div class="form-control">
      <textarea formControlName="message" placeholder="Ваш отзыв" class="form-input" name="message" id="message"
                rows="10"></textarea>
    </div>
    <div
      *ngIf="form.controls['message'].invalid  && (form.controls['message'].dirty || form.controls['message'].touched)"
      class="alert">
      <div *ngIf="form.controls['message'].errors?.['required']">
        Напишите сообщение
      </div>
    </div>
    <div class="form-group">
      <label
        class="box-text" for="agreement">Подтверждаю, что ознакомился с <span class="policy" (click)="openPolicy()">Политикой обработки персональных данных</span></label>
      <input formControlName="checkInput" type="checkbox" id="agreement">
    </div>
    <button [class.disabled]="form.invalid" class="primary-button">Отправить</button>
  </form>
</div>
